@font-face {
  font-family: 'AvenirNext';
  src: url('fonts/AvenirNextLTPro-Regular.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'AvenirNext';
  src: url('fonts/AvenirNextLTPro-Light.woff') format('woff');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'AvenirNext';
  src: url('fonts/AvenirNextLTPro-Medium.woff') format('woff');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'AvenirNext';
  src: url('fonts/AvenirNextLTPro-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'AvenirNext';
  src: url('fonts/AvenirNextLTPro-Heavy.woff') format('woff');
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

.wrapper {
  display: flex;
  justify-content: center;
  width: 100%;
}

.input-container {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.input-container label {
  position: absolute;
  top: -10px;
  left: 15%;
  transform: translateX(-15%);
  background: #fff;
  padding: 0 6px;
  font-size: 14px;
  color: #e91e63;
  font-family: sans-serif;
}

.input-container input {
  width: 100%; /* container kadar genişlik alır */
  padding: 14px;
  border: 1px solid #e91e63;
  border-radius: 6px;
  outline: none;
  font-size: 15px;
  font-weight: 600;
  font-family: sans-serif;
  color: #333;
  box-sizing: border-box;
}

.input-container input:focus {
  border-color: #d81b60;
}

/* Küçük ekranlar için */
@media (max-width: 480px) {
  .input-container {

  }

  .input-container label {
    font-size: 13px;
  }

  .input-container input {
    padding: 13px;
    font-size: 14px;
  }
}

html, body {
    font-family: 'AvenirNextLTPro-Regular', sans-serif !important;
    background: transparent;
}



 /* SELECTED GAME REWARD HTML/CSS */ 
.select-reward-container {
    width: 100%;
    height: 100%;
    margin: 0 auto;
    overflow-y: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;  
}

.award-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.award-card {
    display: block;
    background: white;
    border-radius: 12px;
    overflow: hidden;
    border: 1px solid #E4EAF0;
    cursor: pointer;
}

.award-card,
.award-card * {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    user-select: none;
}

.award-card img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
}

.award-info {
    display: none;
}

.select-reward-container::-webkit-scrollbar {
    display: none;
}




/* GAME COMPLETED REWARD HTML/CSS */
.completed-reward-container {
    background: #FFF;
    border: 1px solid #01AFD2;
    border-radius: 8px;
    padding: 12px 16px;
    overflow: hidden;
    height: 90px;
}

.campaign-terms-title {
    color: #0A145A;
    font-size: 13px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
}

.campaign-terms-description {
    color: #0A145A;
    font-size: 13px;
    font-weight: 400;
    line-height: 18px;

    overflow: visible;
    -webkit-overflow-scrolling: auto;
}

.campaign-terms-description::-webkit-scrollbar {
    display: none; /* Chrome/Safari */
}

.header {
    height: 30px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 12px;
}

.title {
    font-size: 20px;
    font-weight: 600;
    color: #001f3f;
}

.scrollbar-wrapper {
    width: 5px;
    height: 80px;
    background-color: #E4EAF0 !important;
    border-radius: 4px;
    cursor: grab;
    flex-shrink: 0;
    position: relative;
    display: block;
}

.scrollbar {
    width: 100%;
    background-color: #A0AAB4 !important;
    border-radius: 4px;
    cursor: grab;
    position: absolute;
    top: 0;
    transition: background-color 0.2s;
    touch-action: none;
}

.scrollbar:hover {
    background-color: #a0a0a0;
}

.scrollbar:active {
    cursor: grabbing;
}

.content {
    width: 100%;
    height: 60px;
    overflow: hidden;
    position: relative;
}

.text-wrapper {
    width: 96%;
    height: 100%;
    overflow-y: auto;
    padding-right: 0;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
}

.text-wrapper::-webkit-scrollbar {
    width: 0;
}